# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%global barename recast

Name:               nodejs-recast
Version:            0.6.3
Release:            1%{?dist}
Summary:            JavaScript syntax tree transformer

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/recast
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

BuildRequires:      npm(source-map)
BuildRequires:      npm(ast-types)
BuildRequires:      npm(esprima)
BuildRequires:      npm(private)
BuildRequires:      npm(cls)

Requires:           npm(source-map)
Requires:           npm(ast-types)
Requires:           npm(esprima)
Requires:           npm(private)
Requires:           npm(cls)

%if 0%{?enable_tests}
BuildRequires:      npm(mocha)
%endif


%description
JavaScript syntax tree transformer, conservative pretty-printer, and automatic
source map generator

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep esprima ~1.x
%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/recast
cp -pr package.json main.js lib \
    %{buildroot}%{nodejs_sitelib}/recast

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
node ./node_modules/mocha/bin/mocha --reporter spec
%endif


%files
%doc README.md LICENSE
%{nodejs_sitelib}/recast/

%changelog
* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 0.6.3-1
- Initial packaging for Fedora.
